---
- name: Add Roles
  hosts: buildhost
  gather_facts: yes
  become: yes
  roles:
    - role: docker_ce

- name: Clone code repository
  hosts: buildhost
  gather_facts: no
  become: yes
  tasks:
    - name: dependencies
      ansible.builtin.apt:
        name: 
          - build-essential
          - librdkafka-dev
          - libtalloc-dev
          - libkqueue-dev
          - asciidoctor
          - pandoc
          - doxygen
#          - antora 
          - snmp
          - libpcap-dev
          - libcollectdclient-dev
          - libcap-dev
          - libcrypto++-dev 
          - libssl-dev
          - graphviz      

    - name: deb dependencies
      ansible.builtin.apt:
        name: 
          - libsystemd-dev 
          - freetds-dev 
          - libcurl4-openssl-dev 
#          - libcurl4-gnutls-dev 
          - libgdbm-dev 
          - libiodbc2-dev 
#          - libjson-c3 
          - libjson-c-dev 
          - libkrb5-dev 
#          - heimdal-dev 
          - libldap2-dev 
          - libpam0g-dev 
          - libperl-dev 
          - default-libmysqlclient-dev 
          - libmysqlclient-dev 
          - libpq-dev 
          - libreadline-dev 
          - libsasl2-dev 
          - libsqlite3-dev 
          - libunbound-dev 
          - libwbclient-dev 
          - libyubikey-dev 
          - libykclient-dev 
          - libmemcached-dev 
          - libhiredis-dev 
          - python3-dev 
          - python2-dev 
#          - python-dev 
          - samba-dev 
#          - samba4-dev   
          - libidn11-dev 
          - libpcre2-dev 
          - libpcre3-dev 
          - unixodbc-dev
#          
          - devscripts 
          - quilt 
          - debhelper 
          - fakeroot 
          - equivs
        state: present      
      tags: debdep

    - name: clone Freeradius
      git:  
        repo: https://github.com/FreeRADIUS/freeradius-server.git
#        version: release_3_2_3
#        version: release_4
        dest: /tmp/repos/freeradius
        clone: yes
        update: yes
#      delegate_to: localhost

#     - name: clone rlm_kafka
#       git:  
#         repo: https://github.com/thebinary/rlm_kafka.git
#         dest: /tmp/repos/rlm_kafka
#         clone: yes
#         update: yes
# #      delegate_to: localhost

    # - name: build freeradius
    #   ansible.builtin.shell: |
    #     ./configure
    #     make
    #     sudo make install
    #   args:
    #     chdir: /tmp/repos/freeradius  
    #   tags: build

    - name: build freeradius 
      ansible.builtin.shell: |  
        export FRADIUS_SRC="/tmp/repos/freeradius/"
        cd $FRADIUS_SRC && ./configure 
        make && make install && make deb
      args:
        chdir: /tmp/repos/
      tags: build

#        cd $FRADIUS_SRC/src/modules/ && rm -rf rlm_kafka && git clone https://github.com/thebinary/rlm_kafka.git
#        cd $FRADIUS_SRC && ./configure --with-modules=rlm_kafka 
# export RLM_MODULES_DIR=/usr/local/lib
# make && cp build/lib/.libs/rlm_kafka.so $RLM_MODULES_DIR/

    - name: build freeradius docker
      ansible.builtin.shell: |  
        cd scripts/docker/
        ./dockerbuild build-ubuntu20
      args:
        chdir: /tmp/repos/
      tags: docker